Build a swap (/swap)
The same handler as POST /swap-instructions: same body, same response. Unlike Jupiter’s
/swap, the transaction is not serialized unless you send serialize: true; then the
response carries swapTransaction (base64, unsigned v1) and lastValidBlockHeight next to
the instructions. Decode it, sign the message with userPublicKey, and send it yourself.
curl --request POST \
--url https://router.raze.bot/swap \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userPublicKey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"quoteResponse": {
"inputMint": "So11111111111111111111111111111111111111112",
"inAmount": "100000000",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"slippageBps": 50,
"priceImpactPct": "0",
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"contextSlot": 452409471,
"timeTaken": 0.000367825,
"quoteId": "23e14e01000044c6"
},
"serialize": true,
"prioritizationFeeLamports": "auto"
}
'import requests
url = "https://router.raze.bot/swap"
payload = {
"userPublicKey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"quoteResponse": {
"inputMint": "So11111111111111111111111111111111111111112",
"inAmount": "100000000",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"slippageBps": 50,
"priceImpactPct": "0",
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"contextSlot": 452409471,
"timeTaken": 0.000367825,
"quoteId": "23e14e01000044c6"
},
"serialize": True,
"prioritizationFeeLamports": "auto"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userPublicKey: '9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM',
quoteResponse: {
inputMint: 'So11111111111111111111111111111111111111112',
inAmount: '100000000',
outputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
outAmount: '11769095',
otherAmountThreshold: '11710249',
swapMode: 'ExactIn',
slippageBps: 50,
priceImpactPct: '0',
routePlan: [
{
swapInfo: {
ammKey: 'HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR',
label: 'Meteora DLMM',
inputMint: 'So11111111111111111111111111111111111111112',
outputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
inAmount: '100000000',
outAmount: '11769095',
walkSteps: 1
},
percent: 100,
bps: 10000
}
],
contextSlot: 452409471,
timeTaken: 0.000367825,
quoteId: '23e14e01000044c6'
},
serialize: true,
prioritizationFeeLamports: 'auto'
})
};
fetch('https://router.raze.bot/swap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.raze.bot/swap",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userPublicKey' => '9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM',
'quoteResponse' => [
'inputMint' => 'So11111111111111111111111111111111111111112',
'inAmount' => '100000000',
'outputMint' => 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
'outAmount' => '11769095',
'otherAmountThreshold' => '11710249',
'swapMode' => 'ExactIn',
'slippageBps' => 50,
'priceImpactPct' => '0',
'routePlan' => [
[
'swapInfo' => [
'ammKey' => 'HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR',
'label' => 'Meteora DLMM',
'inputMint' => 'So11111111111111111111111111111111111111112',
'outputMint' => 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
'inAmount' => '100000000',
'outAmount' => '11769095',
'walkSteps' => 1
],
'percent' => 100,
'bps' => 10000
]
],
'contextSlot' => 452409471,
'timeTaken' => 0.000367825,
'quoteId' => '23e14e01000044c6'
],
'serialize' => true,
'prioritizationFeeLamports' => 'auto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://router.raze.bot/swap"
payload := strings.NewReader("{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://router.raze.bot/swap")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.raze.bot/swap")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}"
response = http.request(request)
puts response.read_body{
"computeBudgetInstructions": [],
"setupInstructions": [
{
"programId": "ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "11111111111111111111111111111111",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
}
],
"data": "AQ=="
},
{
"programId": "ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "11111111111111111111111111111111",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
}
],
"data": "AQ=="
},
{
"programId": "11111111111111111111111111111111",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
}
],
"data": "AgAAAADh9QUAAAAA"
},
{
"programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"accounts": [
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
}
],
"data": "EQ=="
}
],
"swapInstruction": {
"programId": "DADMMjfNnY6z8H9h9RfHZ9tfarBySsj4Yb65qLyKJDAD",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "6FnGsVD12kgwbjhdcqwVZZ2s53FXiTmj6hmt9nms4bww",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9HcJeBEsq5px2bYZbdo7vzQWVsPK3SHTkchy42hBn7HC",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "H7j5NPopj3tQvDg4N8CxwtYciTn3e8AEV6wSVrxpyDUc",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "HbYjRzx7teCxqW3unpXBEcNHhfVZvW2vW9MQ99TkizWt",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EgEYXef2FCoEYLHJJW74dMbom1atLXo6KwPuA6mSATYA",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "MemoSq4gqABAXKb96qnH8TysNcWxMyWCqXgDLGmfcHr",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "D1ZN9Wj1fRSUQfCjhvnu1hqDMT7hzjzBBpi12nVniYD6",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "AHWjpDEN41mddq8DgUKmX2iQwK3Srg6MCgi1iMjV55To",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "6AfKQDv42gJRLEBj4zhHR1uTZd4Mj5g75xaozWqs3CGP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9SW7tJc6qCDLHWFRWKf3pb1rNW3NgcGuqQ9HfhMJnbd5",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3FRoVcNFxmznbZTQP5muKU4VvFJbiACmE8H9nbc31tyP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "95ZfXjhrsjLtbYggDyyXjviVnzFnc3qyyab5ZQvCUiTH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7mtH8doACVxtgnpuHf28rT6YC6KxgGaHwkk1Abr7KdJF",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "BTbdjpRazxzETE5NHiRyhPSs31bcuS66UVdEqhpS8pgn",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3T2k3Jj1Gy5wnzL262XERtkZVuuk3eUnHXVz1SBeydqG",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7r1eVXSdLReZaW2nQHT18o4fhrvKexkb9YvUB1tuKtG9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GvcoDmDQxxefuNc2Jp6EgY9kmWQFRfLXWxbBeKMY2cAH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "DxK58yoaYhMChMRYTDu7pLkSenkabRjmjFvrH7WBx2n8",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "EdVxQZg2LWQpJ5sYkP9W9yHdE82Sh72MXzLCkZq7Vep9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GDnVaY9DZNnrirV7QXia6X5aPzdqhQ8seSvGDeVXcDE3",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "97kDUqyxUEh4iCqWxREYUtU9scA4TKMuHBm1TD6D9fRv",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "84z7SCPSzAtvpsYNq6DFCZtaGgaNvUXzgj1RjJk2xPXy",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "pHnkoj6wRWqeXDM9K5CNioiGie73H6BFxKF4H9mrEqG",
"isSigner": false,
"isWritable": true
}
],
"data": "AQEDAQAAMgD/////AOH1BQAAAAAHNgAfCvr/////Cf8IFimvsgAAAAAACv4AEAAAAAAAAAAACAcIIQIAHAAHlbMAgPD6BgKDhIWGh4gJCosCwAwMDQ4Cj5CRkpOUlZaXmJmam5ydngAIAADh9QUAAAAAARAAKa+yAAAAAABBSz9M61tbiADh9QUAAAAAKa+yAAAAAAAAAAAA"
},
"swapInstructions": [
{
"programId": "DADMMjfNnY6z8H9h9RfHZ9tfarBySsj4Yb65qLyKJDAD",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "6FnGsVD12kgwbjhdcqwVZZ2s53FXiTmj6hmt9nms4bww",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9HcJeBEsq5px2bYZbdo7vzQWVsPK3SHTkchy42hBn7HC",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "H7j5NPopj3tQvDg4N8CxwtYciTn3e8AEV6wSVrxpyDUc",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "HbYjRzx7teCxqW3unpXBEcNHhfVZvW2vW9MQ99TkizWt",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EgEYXef2FCoEYLHJJW74dMbom1atLXo6KwPuA6mSATYA",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "MemoSq4gqABAXKb96qnH8TysNcWxMyWCqXgDLGmfcHr",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "D1ZN9Wj1fRSUQfCjhvnu1hqDMT7hzjzBBpi12nVniYD6",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "AHWjpDEN41mddq8DgUKmX2iQwK3Srg6MCgi1iMjV55To",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "6AfKQDv42gJRLEBj4zhHR1uTZd4Mj5g75xaozWqs3CGP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9SW7tJc6qCDLHWFRWKf3pb1rNW3NgcGuqQ9HfhMJnbd5",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3FRoVcNFxmznbZTQP5muKU4VvFJbiACmE8H9nbc31tyP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "95ZfXjhrsjLtbYggDyyXjviVnzFnc3qyyab5ZQvCUiTH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7mtH8doACVxtgnpuHf28rT6YC6KxgGaHwkk1Abr7KdJF",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "BTbdjpRazxzETE5NHiRyhPSs31bcuS66UVdEqhpS8pgn",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3T2k3Jj1Gy5wnzL262XERtkZVuuk3eUnHXVz1SBeydqG",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7r1eVXSdLReZaW2nQHT18o4fhrvKexkb9YvUB1tuKtG9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GvcoDmDQxxefuNc2Jp6EgY9kmWQFRfLXWxbBeKMY2cAH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "DxK58yoaYhMChMRYTDu7pLkSenkabRjmjFvrH7WBx2n8",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "EdVxQZg2LWQpJ5sYkP9W9yHdE82Sh72MXzLCkZq7Vep9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GDnVaY9DZNnrirV7QXia6X5aPzdqhQ8seSvGDeVXcDE3",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "97kDUqyxUEh4iCqWxREYUtU9scA4TKMuHBm1TD6D9fRv",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "84z7SCPSzAtvpsYNq6DFCZtaGgaNvUXzgj1RjJk2xPXy",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "pHnkoj6wRWqeXDM9K5CNioiGie73H6BFxKF4H9mrEqG",
"isSigner": false,
"isWritable": true
}
],
"data": "AQEDAQAAMgD/////AOH1BQAAAAAHNgAfCvr/////Cf8IFimvsgAAAAAACv4AEAAAAAAAAAAACAcIIQIAHAAHlbMAgPD6BgKDhIWGh4gJCosCwAwMDQ4Cj5CRkpOUlZaXmJmam5ydngAIAADh9QUAAAAAARAAKa+yAAAAAABBSz9M61tbiADh9QUAAAAAKa+yAAAAAAAAAAAA"
}
],
"cleanupInstruction": {
"programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"accounts": [
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": false
}
],
"data": "CQ=="
},
"otherInstructions": [],
"addressLookupTableAddresses": [],
"quoteId": "23e14e01000044c6",
"buildId": "e2492701bd5ca34f3f2ae4c6d7e8ea5e",
"shape": "token_exact_in",
"inAmount": "100000000",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"minReturn": 11710249,
"maxAmountIn": 100000000,
"computeUnits": 250000,
"loadedAccountsDataSize": 2848871,
"txVersion": "v1",
"transactionConfig": {
"priorityFeeLamports": 6864,
"computeUnitLimit": 250000,
"loadedAccountsDataSizeLimit": 2848871
},
"swapTransaction": "gQEACg8AAABzC5BGsDaM61xZPkeGm/RoYH/gF9m9YhrkMz2ZM9aR9wYifowI…",
"lastValidBlockHeight": 430448451,
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"costs": {
"baseFeeLamports": "5000",
"priorityFeeLamports": "6864",
"priorityFeeSource": "chain",
"priorityFeeMicroLamportsPerCu": "27456",
"tipLamports": "0",
"rentLamports": "2976880",
"rentRefundedLamports": "1488440",
"rentExact": true,
"totalLamports": "1500304"
}
}POST /swap-instructions, under Jupiter’s path name.
/swap, it returns instructions and no swapTransaction unless the body sets "serialize": true.Body
true: SOL input is wrapped from the wallet's lamports and its wSOL account closed after the swap; SOL output is unwrapped back to the wallet (not when destinationTokenAccount is another wallet). false: the route spends from and pays into the wallet's wSOL account. Alias unwrapSol
The fee in basis points. Pinned quote: must equal platformFee.feeBps when the quote priced one. On a quote that priced no fee it is added at build time and lowers the floor, so up to feeBps less than the quoted outAmount can arrive. Pair mode: priced like platformFeeBps, only with feeAccount
The priority fee, Jupiter style. A number is the total in lamports. "auto" takes the
75th percentile of recent prioritization fees, within 10,000 and 1,000,000 micro-lamports
per compute unit. priorityLevelWithMaxLamports is auto capped at maxLamports
(priorityLevel is ignored). jitoTipLamports adds a tip transfer to a Jito tip account
instead of a priority fee. Absent means no priority fee. The fee is charged on the declared
compute-unit limit, not on the units used.
The wallet that receives the output; the route delivers to its associated token account, created if missing. A token account here is 400 bad_recipient (an SPL multisig is accepted, as a wallet). When the last hop pays native SOL (a venue's native leg) the output can only go to userPublicKey: another wallet is 422 declined wire. Default userPublicKey. Alias recipient
Response
The instructions and, with serialize, the unsigned transaction
exact_out: one hop with a pinned output and an input cap. Any other ExactOut (several hops, or a venue without an exact-output instruction) is built as an exact-in shape that spends maxAmountIn with minReturn = the requested output. native_exact_in: one hop on a venue's native-SOL leg; token_exact_in_split: two routes
token_exact_in, native_exact_in, exact_out, token_exact_in_split curl --request POST \
--url https://router.raze.bot/swap \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userPublicKey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"quoteResponse": {
"inputMint": "So11111111111111111111111111111111111111112",
"inAmount": "100000000",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"slippageBps": 50,
"priceImpactPct": "0",
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"contextSlot": 452409471,
"timeTaken": 0.000367825,
"quoteId": "23e14e01000044c6"
},
"serialize": true,
"prioritizationFeeLamports": "auto"
}
'import requests
url = "https://router.raze.bot/swap"
payload = {
"userPublicKey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"quoteResponse": {
"inputMint": "So11111111111111111111111111111111111111112",
"inAmount": "100000000",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"slippageBps": 50,
"priceImpactPct": "0",
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"contextSlot": 452409471,
"timeTaken": 0.000367825,
"quoteId": "23e14e01000044c6"
},
"serialize": True,
"prioritizationFeeLamports": "auto"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userPublicKey: '9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM',
quoteResponse: {
inputMint: 'So11111111111111111111111111111111111111112',
inAmount: '100000000',
outputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
outAmount: '11769095',
otherAmountThreshold: '11710249',
swapMode: 'ExactIn',
slippageBps: 50,
priceImpactPct: '0',
routePlan: [
{
swapInfo: {
ammKey: 'HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR',
label: 'Meteora DLMM',
inputMint: 'So11111111111111111111111111111111111111112',
outputMint: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
inAmount: '100000000',
outAmount: '11769095',
walkSteps: 1
},
percent: 100,
bps: 10000
}
],
contextSlot: 452409471,
timeTaken: 0.000367825,
quoteId: '23e14e01000044c6'
},
serialize: true,
prioritizationFeeLamports: 'auto'
})
};
fetch('https://router.raze.bot/swap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://router.raze.bot/swap",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userPublicKey' => '9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM',
'quoteResponse' => [
'inputMint' => 'So11111111111111111111111111111111111111112',
'inAmount' => '100000000',
'outputMint' => 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
'outAmount' => '11769095',
'otherAmountThreshold' => '11710249',
'swapMode' => 'ExactIn',
'slippageBps' => 50,
'priceImpactPct' => '0',
'routePlan' => [
[
'swapInfo' => [
'ammKey' => 'HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR',
'label' => 'Meteora DLMM',
'inputMint' => 'So11111111111111111111111111111111111111112',
'outputMint' => 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
'inAmount' => '100000000',
'outAmount' => '11769095',
'walkSteps' => 1
],
'percent' => 100,
'bps' => 10000
]
],
'contextSlot' => 452409471,
'timeTaken' => 0.000367825,
'quoteId' => '23e14e01000044c6'
],
'serialize' => true,
'prioritizationFeeLamports' => 'auto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://router.raze.bot/swap"
payload := strings.NewReader("{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://router.raze.bot/swap")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://router.raze.bot/swap")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userPublicKey\": \"9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM\",\n \"quoteResponse\": {\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"inAmount\": \"100000000\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"outAmount\": \"11769095\",\n \"otherAmountThreshold\": \"11710249\",\n \"swapMode\": \"ExactIn\",\n \"slippageBps\": 50,\n \"priceImpactPct\": \"0\",\n \"routePlan\": [\n {\n \"swapInfo\": {\n \"ammKey\": \"HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR\",\n \"label\": \"Meteora DLMM\",\n \"inputMint\": \"So11111111111111111111111111111111111111112\",\n \"outputMint\": \"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v\",\n \"inAmount\": \"100000000\",\n \"outAmount\": \"11769095\",\n \"walkSteps\": 1\n },\n \"percent\": 100,\n \"bps\": 10000\n }\n ],\n \"contextSlot\": 452409471,\n \"timeTaken\": 0.000367825,\n \"quoteId\": \"23e14e01000044c6\"\n },\n \"serialize\": true,\n \"prioritizationFeeLamports\": \"auto\"\n}"
response = http.request(request)
puts response.read_body{
"computeBudgetInstructions": [],
"setupInstructions": [
{
"programId": "ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "11111111111111111111111111111111",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
}
],
"data": "AQ=="
},
{
"programId": "ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "11111111111111111111111111111111",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
}
],
"data": "AQ=="
},
{
"programId": "11111111111111111111111111111111",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
}
],
"data": "AgAAAADh9QUAAAAA"
},
{
"programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"accounts": [
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
}
],
"data": "EQ=="
}
],
"swapInstruction": {
"programId": "DADMMjfNnY6z8H9h9RfHZ9tfarBySsj4Yb65qLyKJDAD",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "6FnGsVD12kgwbjhdcqwVZZ2s53FXiTmj6hmt9nms4bww",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9HcJeBEsq5px2bYZbdo7vzQWVsPK3SHTkchy42hBn7HC",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "H7j5NPopj3tQvDg4N8CxwtYciTn3e8AEV6wSVrxpyDUc",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "HbYjRzx7teCxqW3unpXBEcNHhfVZvW2vW9MQ99TkizWt",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EgEYXef2FCoEYLHJJW74dMbom1atLXo6KwPuA6mSATYA",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "MemoSq4gqABAXKb96qnH8TysNcWxMyWCqXgDLGmfcHr",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "D1ZN9Wj1fRSUQfCjhvnu1hqDMT7hzjzBBpi12nVniYD6",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "AHWjpDEN41mddq8DgUKmX2iQwK3Srg6MCgi1iMjV55To",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "6AfKQDv42gJRLEBj4zhHR1uTZd4Mj5g75xaozWqs3CGP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9SW7tJc6qCDLHWFRWKf3pb1rNW3NgcGuqQ9HfhMJnbd5",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3FRoVcNFxmznbZTQP5muKU4VvFJbiACmE8H9nbc31tyP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "95ZfXjhrsjLtbYggDyyXjviVnzFnc3qyyab5ZQvCUiTH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7mtH8doACVxtgnpuHf28rT6YC6KxgGaHwkk1Abr7KdJF",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "BTbdjpRazxzETE5NHiRyhPSs31bcuS66UVdEqhpS8pgn",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3T2k3Jj1Gy5wnzL262XERtkZVuuk3eUnHXVz1SBeydqG",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7r1eVXSdLReZaW2nQHT18o4fhrvKexkb9YvUB1tuKtG9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GvcoDmDQxxefuNc2Jp6EgY9kmWQFRfLXWxbBeKMY2cAH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "DxK58yoaYhMChMRYTDu7pLkSenkabRjmjFvrH7WBx2n8",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "EdVxQZg2LWQpJ5sYkP9W9yHdE82Sh72MXzLCkZq7Vep9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GDnVaY9DZNnrirV7QXia6X5aPzdqhQ8seSvGDeVXcDE3",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "97kDUqyxUEh4iCqWxREYUtU9scA4TKMuHBm1TD6D9fRv",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "84z7SCPSzAtvpsYNq6DFCZtaGgaNvUXzgj1RjJk2xPXy",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "pHnkoj6wRWqeXDM9K5CNioiGie73H6BFxKF4H9mrEqG",
"isSigner": false,
"isWritable": true
}
],
"data": "AQEDAQAAMgD/////AOH1BQAAAAAHNgAfCvr/////Cf8IFimvsgAAAAAACv4AEAAAAAAAAAAACAcIIQIAHAAHlbMAgPD6BgKDhIWGh4gJCosCwAwMDQ4Cj5CRkpOUlZaXmJmam5ydngAIAADh9QUAAAAAARAAKa+yAAAAAABBSz9M61tbiADh9QUAAAAAKa+yAAAAAAAAAAAA"
},
"swapInstructions": [
{
"programId": "DADMMjfNnY6z8H9h9RfHZ9tfarBySsj4Yb65qLyKJDAD",
"accounts": [
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": true
},
{
"pubkey": "6FnGsVD12kgwbjhdcqwVZZ2s53FXiTmj6hmt9nms4bww",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9HcJeBEsq5px2bYZbdo7vzQWVsPK3SHTkchy42hBn7HC",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "H7j5NPopj3tQvDg4N8CxwtYciTn3e8AEV6wSVrxpyDUc",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "HbYjRzx7teCxqW3unpXBEcNHhfVZvW2vW9MQ99TkizWt",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "FGETo8T8wMcN2wCjav8VK6eh3dLk63evNDPxzLSJra8B",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "So11111111111111111111111111111111111111112",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "EgEYXef2FCoEYLHJJW74dMbom1atLXo6KwPuA6mSATYA",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "MemoSq4gqABAXKb96qnH8TysNcWxMyWCqXgDLGmfcHr",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "D1ZN9Wj1fRSUQfCjhvnu1hqDMT7hzjzBBpi12nVniYD6",
"isSigner": false,
"isWritable": false
},
{
"pubkey": "AHWjpDEN41mddq8DgUKmX2iQwK3Srg6MCgi1iMjV55To",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "6AfKQDv42gJRLEBj4zhHR1uTZd4Mj5g75xaozWqs3CGP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9SW7tJc6qCDLHWFRWKf3pb1rNW3NgcGuqQ9HfhMJnbd5",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3FRoVcNFxmznbZTQP5muKU4VvFJbiACmE8H9nbc31tyP",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "95ZfXjhrsjLtbYggDyyXjviVnzFnc3qyyab5ZQvCUiTH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7mtH8doACVxtgnpuHf28rT6YC6KxgGaHwkk1Abr7KdJF",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "BTbdjpRazxzETE5NHiRyhPSs31bcuS66UVdEqhpS8pgn",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "3T2k3Jj1Gy5wnzL262XERtkZVuuk3eUnHXVz1SBeydqG",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "7r1eVXSdLReZaW2nQHT18o4fhrvKexkb9YvUB1tuKtG9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GvcoDmDQxxefuNc2Jp6EgY9kmWQFRfLXWxbBeKMY2cAH",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "DxK58yoaYhMChMRYTDu7pLkSenkabRjmjFvrH7WBx2n8",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "EdVxQZg2LWQpJ5sYkP9W9yHdE82Sh72MXzLCkZq7Vep9",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "GDnVaY9DZNnrirV7QXia6X5aPzdqhQ8seSvGDeVXcDE3",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "97kDUqyxUEh4iCqWxREYUtU9scA4TKMuHBm1TD6D9fRv",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "84z7SCPSzAtvpsYNq6DFCZtaGgaNvUXzgj1RjJk2xPXy",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "pHnkoj6wRWqeXDM9K5CNioiGie73H6BFxKF4H9mrEqG",
"isSigner": false,
"isWritable": true
}
],
"data": "AQEDAQAAMgD/////AOH1BQAAAAAHNgAfCvr/////Cf8IFimvsgAAAAAACv4AEAAAAAAAAAAACAcIIQIAHAAHlbMAgPD6BgKDhIWGh4gJCosCwAwMDQ4Cj5CRkpOUlZaXmJmam5ydngAIAADh9QUAAAAAARAAKa+yAAAAAABBSz9M61tbiADh9QUAAAAAKa+yAAAAAAAAAAAA"
}
],
"cleanupInstruction": {
"programId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"accounts": [
{
"pubkey": "8LjUgMjzZuHj8VdyxzkmLLQVmW4C3gd56md1nLd76TNW",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": false,
"isWritable": true
},
{
"pubkey": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"isSigner": true,
"isWritable": false
}
],
"data": "CQ=="
},
"otherInstructions": [],
"addressLookupTableAddresses": [],
"quoteId": "23e14e01000044c6",
"buildId": "e2492701bd5ca34f3f2ae4c6d7e8ea5e",
"shape": "token_exact_in",
"inAmount": "100000000",
"outAmount": "11769095",
"otherAmountThreshold": "11710249",
"swapMode": "ExactIn",
"minReturn": 11710249,
"maxAmountIn": 100000000,
"computeUnits": 250000,
"loadedAccountsDataSize": 2848871,
"txVersion": "v1",
"transactionConfig": {
"priorityFeeLamports": 6864,
"computeUnitLimit": 250000,
"loadedAccountsDataSizeLimit": 2848871
},
"swapTransaction": "gQEACg8AAABzC5BGsDaM61xZPkeGm/RoYH/gF9m9YhrkMz2ZM9aR9wYifowI…",
"lastValidBlockHeight": 430448451,
"routePlan": [
{
"swapInfo": {
"ammKey": "HTvjzsfX3yU6BUodCjZ5vZkUrAxMDTrBs3CJaq43ashR",
"label": "Meteora DLMM",
"inputMint": "So11111111111111111111111111111111111111112",
"outputMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"inAmount": "100000000",
"outAmount": "11769095",
"walkSteps": 1
},
"percent": 100,
"bps": 10000
}
],
"costs": {
"baseFeeLamports": "5000",
"priorityFeeLamports": "6864",
"priorityFeeSource": "chain",
"priorityFeeMicroLamportsPerCu": "27456",
"tipLamports": "0",
"rentLamports": "2976880",
"rentRefundedLamports": "1488440",
"rentExact": true,
"totalLamports": "1500304"
}
}